# Uses of Class
net.shibboleth.shared.testing.ShowAutomaticModuleNames.TerminationException

Packages that use ShowAutomaticModuleNames.TerminationException
Package
Description
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of ShowAutomaticModuleNames.TerminationException in net.shibboleth.shared.testing

Methods in net.shibboleth.shared.testing that throw ShowAutomaticModuleNames.TerminationException
Modifier and Type
Method
Description
`private String`
ShowAutomaticModuleNames.`getAutomaticModuleName(JarFile jarFile)`
Fetch the automatic module name (if any) from a `.jar` file.
`private void`
ShowAutomaticModuleNames.`run(String[] args)`
Runnable main program, wrapped by `main` in an exception handler.
`private void`
ShowAutomaticModuleNames.`runDirectory(File directory)`
Process all of the `.jar` files in a given directory, and present the results in a readable way.